seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/11/23, 20:47:41


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: Installation Tests of siduction flavours lxde, lxqt, kde and xfce  (Read 6983 times)

0 Members and 1 Guest are viewing this topic.

holgerw

  • Guest
Hello,

refering to this thread http://forum.siduction.org/index.php?topic=5719.0 and to this comment http://forum.siduction.org/index.php?topic=5719.msg46699#msg46699 I'll start my tests with four siduction flavours. I'll use my desktop computer for this tests:
Code: [Select]
inxi -F
System:    Host: biber Kernel: 4.1.3-towo.2-siduction-amd64 x86_64 (64 bit) Desktop: KDE Plasma 5
           Distro: siduction 15.1.0 White Room - nox - (201507262025)                                                                                                                         
Machine:   Mobo: MSI model: H97M ECO (MS-7817) v: 5.0 Bios: American Megatrends v: V26.5 date: 12/23/2014                                                                                     
CPU:       Quad core Intel Core i5-4690 (-MCP-) cache: 6144 KB                                                                                                                               
           clock speeds: max: 3900 MHz 1: 3500 MHz 2: 3500 MHz 3: 3500 MHz 4: 3500 MHz                                                                                                       
Graphics:  Card: Intel Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller                                                                                                 
           Display Server: X.Org 1.17.2 driver: intel Resolution: 1920x1080@60.00hz                                                                                                           
           GLX Renderer: Mesa DRI Intel Haswell Desktop GLX Version: 3.0 Mesa 10.6.3                                                                                                         
Audio:     Card-3 TerraTec Electronic driver: USB Audio                                                                                                                                       
           Sound: Advanced Linux Sound Architecture v: k4.1.3-towo.2-siduction-amd64                                                                                                         
Network:   Card: Intel Ethernet Connection (2) I218-V driver: e1000e                                                                                                                         
           IF: eno1 state: up speed: 1000 Mbps duplex: full mac: <filter>                                                                                                           
Drives:    HDD Total Size: 1250.3GB (3.9% used) ID-1: /dev/sda model: SAMSUNG_HD103SJ size: 1000.2GB                                                                                         
           ID-2: /dev/sdb model: CT250BX100SSD1 size: 250.1GB                                                                                                                                 
Partition: ID-1: / size: 20G used: 7.5G (40%) fs: ext4 dev: /dev/sdb3                                                                                                                         
           ID-2: swap-1 size: 10.74GB used: 0.00GB (0%) fs: swap dev: /dev/sdb5                                                                                                               
Sensors:   System Temperatures: cpu: 29.8C mobo: 27.8C                                                                                                                                       
           Fan Speeds (in rpm): cpu: N/A                                                                                                                                                     
Info:      Processes: 175 Uptime: 19 min Memory: 873.0/7798.2MB Client: Shell (bash) inxi: 2.2.26                                                                                             
holger@biber:~$

On my ssd /dev/sdb I'll use following partitions for tests:
Code: [Select]
/dev/sdb5   10GB   swap
/dev/sdb7   10GB   ext4   lxde
/dev/sdb8   10GB   ext4   lxqt
/dev/sdb9   10GB   ext4   kde
/dev/sdb10  10GB   ext4   xfce

The proceeding for every flavour is following:
1. Installing flavorname-indiansummer-amd64
2. Trying a dist-upgrade
3. Trying to add some software: ssh, audacity, libreoffice, claws-mail
4. Trying to start base stuff: filemanager, texteditor, x-terminal, browser, libreoffice
5. Testing ssh access, nfs access, sound with integrated sound chip and external usb soundcard

I'll documentate every step, if something fails I'll try it two days later again.

My sources for every flavour:
Code: [Select]
deb http://http.debian.net/debian/ unstable main contrib non-free
deb http://ftp.uni-stuttgart.de/siduction/base unstable main contrib non-free
deb http://ftp.uni-stuttgart.de/siduction/extra unstable main contrib non-free
deb http://ftp.uni-stuttgart.de/siduction/fixes unstable main contrib non-free
deb http://packages.siduction.org/kdenext unstable main

For every flavour I'll start a sub thread.

Kind regards,
  Holger
« Last Edit: 2015/08/03, 20:41:25 by holgerw »

holgerw

  • Guest
Installation of lxde flavour

1. Start with language de, timezone Berlin and toram option
2. lxde start without errors, using cli-installer for installation
3. Installation without errors.
4. Rebbot without errors

-- all steps passed --

Trying to make a dist-upgrade, refering to this thread:
http://forum.siduction.org/index.php?topic=5546.0

1. apt-get update
   ends with message of missing key
   
Code: [Select]
W: Es gibt keine öffentlichen Schlüssel für die folgenden Schlüssel-IDs
   7638D0442B90D010
Solving this with installing debian-archive-keyring

2. apt-get dist-upgrade -d
   wants to remove following packages:
 
Code: [Select]
libasprintf0c2 libhogweed2 libical1 libnettle4
  xserver-xorg-video-modesetting

Important: Before starting a dist-upgrade in Runlevel 3 do following:
Code: [Select]
dpkg -i /var/cache/apt/archives/libdbus-1-3_*.deb ; apt-mark auto libdbus-1-3
Code: [Select]
dpkg -i /var/cache/apt/archives/libexpat1_2.1.0-7_amd64.deb
3. apt-get dist-upgrade
   Perhaps apt-get -f install is necessary sometimes when d-u interrupts with errors
   Please repeat apt-get dist-upgrade to be sure, that everything is up-to-date

4. Reboot is successful now.

--All steps passed --

Trying to add further software
1. apt-get install libreoffice
  No possible, a lot of stuff with unresolved dependencies
2. apt-get install iceweasel iceweasel-l10n.-de
  okay, no errors
3. apt-get install audacity
  okay, no errors
4. apt-get install claws-mail claws-mail-i18n
  not necessary, claws-mail is part of lxde flavour

-- libreoffice installation fails, audacity and iceweasel installation passed --

Trying to start base stuff
1. Filemanager PCManFM is useable
2. medit is useable
3. LXterminal is usable
4. midori is usable
5. iceweasel is usable
6. claws-mail is usable
7. audacity is usable

-- All steps passed ---

Testing functionality
1. ssh access works
2. nfs access works
3. sound output works

-- All steps passed --
« Last Edit: 2015/08/03, 21:47:51 by holgerw »

Offline drb

  • User
  • Posts: 162
I think I got the dbus error when I tried a clean kde install last week. Following the instructions regarding libdbus* at link below solved that error.

  http://forum.siduction.org/index.php?topic=5546.0

Offline unklarer

  • User
  • Posts: 534

Hello Holger,

please do your MAC address unrecognizable.
The command
Code: [Select]
  inxi -Fxzfilters them equal out   ;)

holgerw

  • Guest
Hello,

thanks for your help, I'll try it again with lxde and modify my sub thread.

Kind regards,
  Holger

holgerw

  • Guest
Hello,

lxde test is finished, I'll try to install libreoffice a few days later. A workarround could be the installation of libreoffice Debian packages directly from the LO project site.

Tomorrow lxqt test will follow.

Kind regards,
  Holger
« Last Edit: 2015/08/03, 23:02:24 by holgerw »

Offline Pip

  • User
  • Posts: 73
Just to join the fun, I'll run a dist-upgrade on a KDE box that was updated the night before GCC 5 came out.
Code: [Select]
sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libasprintf0c2 libboost-date-time1.55.0 libcmis-0.4-4 libcmis-0.5-5 libkolab0
  libkolabxml1 libreoffice-base-core libreoffice-calc libreoffice-core
  libreoffice-draw libreoffice-gtk libreoffice-help-en-gb libreoffice-impress
  libreoffice-math libreoffice-writer
The following NEW packages will be installed:
  g++-5 libapt-inst1.7 libapt-pkg4.16 libasprintf0v5 libstdc++-5-dev
  linux-headers-4.1.4-towo.1-siduction-amd64 linux-image-4.1.4-towo.1-siduction-amd64
The following packages will be upgraded:
  apt apt-utils binutils build-essential cpp cpp-5 distro-defaults dmeventd dmsetup
  fonts-opensymbol g++ gcc gcc-5 gcc-5-base gcc-5-base:i386 gettext gettext-base
  ghostscript ghostscript-x iso-codes libarchive-zip-perl libasan2 libatomic1 libcc1-0
  libcilkrts5 libcwidget3 libdevmapper-event1.02.1 libdevmapper1.02.1 libgcc-5-dev
  libgcc1 libgcc1:i386 libgettextpo0 libgfortran3 libgnutls-deb0-28
  libgnutls-openssl27 libgomp1 libgomp1:i386 libgs9 libgs9-common libidn11 libitm1
  libjbig2dec0 liblsan0 liblvm2app2.2 liblvm2cmd2.02 libmpx0 libnss-myhostname
  liboath0 libpam-systemd libpciaccess0 libpulse-mainloop-glib0 libpulse0
  libpulse0:i386 libpulsedsp libquadmath0 libreoffice-common libreoffice-java-common
  libreoffice-l10n-en-gb libreoffice-style-galaxy libsqlite3-0 libsqlite3-0:i386
  libstdc++6 libstdc++6:i386 libsystemd0 libsystemd0:i386 libtsan0 libubsan0 libudev1
  libudev1:i386 libwmf0.2-7 libxaw7 linux-headers-siduction-amd64
  linux-image-siduction-amd64 lvm2 mime-support pulseaudio pulseaudio-module-bluetooth
  pulseaudio-module-gconf pulseaudio-module-x11 pulseaudio-module-zeroconf
  pulseaudio-utils systemd systemd-sysv udev uno-libs3 ure xfsprogs
87 upgraded, 7 newly installed, 15 to remove and 0 not upgraded.
Need to get 181 MB of archives.
After this operation, 99.9 MB of additional disk space will be used.
Do you want to continue? [Y/n]

That doesn't look too scary, so I'll run it!
No errors reported.
Reboot... and... everything seems to be where it should be! Well, not Libre Office, of course, but Opera works, Kontact starts up, Iceweasel, Konqueror... Not extensively tested, just making sure they start up. Not quite the calamity I expected.
Trying to get Libre Office back again is doomed:
Code: [Select]
sudo apt-get install libreoffice libreoffice-base libreoffice-calc libreoffice-core libreoffice-draw libreoffice-impress libreoffice-math libreoffice-report-builder-bin libreoffice-writer libreoffice-avmedia-backend-gstreamer libreoffice-avmedia-backend-vlc python3-uno libboost-date-time1.55.0 libcmis-0.5-5 libreoffice-base-core libreoffice-base-drivers
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 libstdc++6 : Breaks: libboost-date-time1.55.0 but 1.55.0+dfsg-4 is to be installed
E: Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.

But overall, not quite so bad.
Yet.
Definitely not recommended for a working server, though.


Offline melmarker

  • Global Moderator
  • User
  • *****
  • Posts: 2.800
    • g-com.eu
if we had such a category i would move it to "Nonsense" right now. Playing with such things right now may be funny, but it make no sense now.
Those who would give up essential Liberty, to purchase a little temporary Safety, deserve neither Liberty nor Safety. (Benjamin Franklin, November 11, 1755)
Never attribute to malice that which can be adequately explained by stupidity. (Hanlons razor)

holgerw

  • Guest
if we had such a category i would move it to "Nonsense" right now. Playing with such things right now may be funny, but it make no sense now.

Apart from that I doesn't test different flavours just for fun. I already have a working installation of siduction with current kf5 and further stuff, but I hope, this tests can help and give useful information. And I can learn something about different flavours of siduction.

Kind regards,
  Holger

Offline Pip

  • User
  • Posts: 73
If it's not fun, it's not worth it.
I had a spare computer doing nothing and it seemed a good way of finding out just how bad the situation was after seeing the long list of affected items. I was worried the desktop wouldn't even boot. Since it did, it indicates the substantial work that Santa is involved in has an achievable end point for general use and might well need to wait around for specific items that just won't install any more.
I'll run updates on the machine every now and then to see if anything more calamitous turns up.

holgerw

  • Guest
Hello @Pip,

Quote
If it's not fun, it's not worth it.

If you want to discuss your kind of utilitarian position, we can do this, but please in subforum "Free speech".

Quote
Since it did, it indicates the substantial work that Santa is involved in has an achievable end point for general use and might well need to wait around for specific items that just won't install any more. I'll run updates on the machine every now and then to see if anything more calamitous turns up.

Do you want to help @Santa? He does a substantial work and we users can contribute with a substantial help. Please read this:
Quote
If you have some free time and you want to help us, one thing you can do is:
For each siduction flavour providing a desktop environment:
- Do a fresh installation from the indiansumer iso
- Dist-upgrade and make sure you have the latest libstdc++6 package
- Check if the desktop environment in question starts
- Optionally check if programs which you consider important for every day use (like dolphin and konsole in the kde flavour) start

If you want to take testing part of kde flavour to support me here, and important, also the documentation, it would be nice.

And if you think, something can be make better with my testing procedure, please let me know, I've not done such tests before, so I've no previous experience with such a procedure and I'm not a developer.

Kind regards,
  Holger
« Last Edit: 2015/08/04, 10:00:31 by holgerw »

Offline Pip

  • User
  • Posts: 73
Dear me, it seems I have upset people by trying to find something out. I do apologize. I will endeavour not to inflict such things on your sensibilities again.

holgerw

  • Guest
Dear me, it seems I have upset people by trying to find something out. I do apologize. I will endeavour not to inflict such things on your sensibilities again.

Hey @Pip,

no hard feelings :)

But referinng to your first comment here it seems you've installed kde flavour: Next days I'll test installation and update of kde indian summer flavour, will document it, and if you want to add something about your experiences, for example issues and workarrounds, that would be wonderful and helpful.

And I also hope, that other users add such info.

This Friday I will work at home, there is enough time for testing flavours of lxqt, kde and xfce then. I want to finish flavour testing this week.

Kind regards,
  Holger
« Last Edit: 2015/08/04, 22:55:48 by holgerw »

holgerw

  • Guest
kde flavour ... just some hints
« Reply #13 on: 2015/08/08, 08:45:55 »
Hello,

this is not an iso test but some I want to give hints for kde flavour with kdenext repo, metapacke kde-full and current kf5 stuff:
Code: [Select]
Die folgenden Pakete werden ENTFERNT:
  aptitude juk kde-full kde-standard kdemultimedia libproxy1 phonon4qt5-backend-vlc
Die folgenden NEUEN Pakete werden installiert:
  libicu55 libproxy1v5
Die folgenden Pakete sind zurückgehalten worden:
  libtagc0 soundkonverter vlc vlc-nox
Die folgenden Pakete werden aktualisiert (Upgrade):
  aptitude-common binutils dpkg dpkg-dev glib-networking glib-networking-services iceweasel iceweasel-l10n-de libattica0.4 libdpkg-perl libgadu3 libgrantlee-templates5 libpcre16-3
  libpcre3 libpcsclite1 libproxy-tools libpsl0 libqca2 libqt5clucene5 libqt5concurrent5 libqt5core5a libqt5dbus5 libqt5designer5 libqt5designercomponents5 libqt5gui5 libqt5help5
  libqt5multimedia5 libqt5multimediaquick-p5 libqt5network5 libqt5opengl5 libqt5printsupport5 libqt5qml5 libqt5quick5 libqt5quickwidgets5 libqt5script5 libqt5sql5 libqt5sql5-sqlite
  libqt5widgets5 libqt5xml5 libqtwebkit4 libsecret-1-0 libsecret-common libvlc5 libvlccore8 qdbus-qt5 qml-module-qtmultimedia qml-module-qtquick-window2 qml-module-qtquick2
  qttools5-dev-tools squashfs-tools xfsprogs
51 aktualisiert, 2 neu installiert, 7 zu entfernen und 4 nicht aktualisiert.

Apart from libreoffice a dist-upgrade is possible without big trouble, if you don't need aptitude, let apt remove following packages:
Code: [Select]
aptitude juk kde-full kde-standard kdemultimedia libproxy1 phonon4qt5-backend-vlc
After that you can reinstall phonon4qt5-backend-vlc and juk.

Libreoffice is still not installable, workaround might be new LO 5.0.0 stuff from here:
https://de.libreoffice.org/download/libreoffice-fresh/

Kind regards,
  Holger

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.451
LO 5.0 is trickling into sid tonight, should work.


greetz
devil